<?php

namespace App\Conversations;

use Illuminate\Foundation\Inspiring; 
use BotMan\BotMan\Messages\Incoming\Answer;
use BotMan\BotMan\Messages\Outgoing\Question;
use BotMan\BotMan\Messages\Outgoing\Actions\Button;
use BotMan\BotMan\Messages\Conversations\Conversation;
use Illuminate\Support\Facades\Lang;
use BotMan\BotMan\Storages\Storage;
use App;
use Helper; 

class MainConversation extends Conversation
{
    public function credit_card()
    {
        $this->ask("Menu 1", function($answer) {
            $msg = $answer->getText();
			if(Helper::check_phrase($msg))
			{
				$this->master();
			}
			else
			{
				switch ($msg) {
                case '1':
                    Helper::csc_card_status();
                    $this->credit_card();
                    break;
                case '2':
                    Helper::csc_account_balance();
                    $this->credit_card();
                    break;
                case '3':
                    Helper::csc_card_last_txns();
                    $this->credit_card();
                    break;
                case '4':
                    Helper::csc_account_due();
                    $this->credit_card();
                    break;
                case '5':
                    Helper::send_message(Lang::get('bot.1.5'));
                    $this->credit_card();
                    break;
                case '6':
                    Helper::send_message(Lang::get('bot.1.6'),"true");
                    $this->credit_card();
                    break;
                case '7':
                    Helper::send_message(Lang::get('bot.1.7'),"true");
                    $this->credit_card();
                    break;
                case '8':
                    Helper::send_message(Lang::get('bot.1.8'),"true");
                    $this->credit_card();
                    break;
                case '0':
                    $this->greet();
                    break;
                default:
                    Helper::send_message(Lang::get('bot.menu_404'));
                    $this->credit_card();
                    break;
				}
			}
            
            
        });
    }
    public function banking()
    {
        $this->ask("Menu 2", function($answer) {
            $msg = $answer->getText();
			if(Helper::check_phrase($msg))
			{
				$this->master();
			}
			else
			{
				switch ($msg) {
                case '1':
                    Helper::cbs_accounts();
                    $this->banking();
                    break;
                case '2':
                    Helper::send_message(Lang::get('bot.2.2'),"true");
                    $this->banking();
                    break;
                case '3':
                    Helper::cbs_last_tnxs();
                    $this->banking();
                    break;
                case '4':
                    Helper::send_message(Lang::get('bot.2.4'));
                    $this->banking();
                    break;
                case '5':
                    Helper::send_message(Lang::get('bot.2.5'),"true");
                    $this->banking();
                    break;
                case '6':
                    Helper::cbs_exchange_rates();
                    $this->banking();
                    break;
                case '7':
                    Helper::send_message(Lang::get('bot.2.7'),"true");
                    $this->banking();
                    break;
                case '8':
                    Helper::send_message(Lang::get('bot.2.8'),"true");
                    $this->banking();
                    break;
                case '9':
                    Helper::send_message(Lang::get('bot.2.9'),"true");
                    $this->banking();
                    break;
                case '0':
                    $this->greet();
                    break;
                default:
                    Helper::send_message(Lang::get('bot.menu_404'));
                    $this->banking();
                    break;
				}
			}
            
        });
    }
    public function change_lang()
    {
        $this->ask("Menu 3", function($answer) {
            $msg = $answer->getText();
			if(Helper::check_phrase($msg))
			{
				$this->master();
			}
			else
			{
				switch ($msg) {
                case '1':
                    Helper::change_lang("en");
                    Helper::send_message(Lang::get('bot.lang_changed'));
					$this->greet();
                    break;
                case '2':
                    Helper::change_lang("dr");
                    Helper::send_message(Lang::get('bot.lang_changed'));
					$this->greet();
                    break;
                case '3':
                    Helper::change_lang("ps");
                    Helper::send_message(Lang::get('bot.lang_changed'));
					$this->greet();
                    break;
                case '0':
                    $this->greet();
                    break;

                default:
                    Helper::send_message(Lang::get('bot.menu_404'));
                    $this->change_lang();
                    break;
				}
			}
            
        });
    }
    public function master() 
    {
        Helper::send_message(Lang::get('bot.master'));
        $this->ask("Menu Greet", function($answer, $bot) {
            $msg = $answer->getText();
			if(Helper::check_phrase($msg))
			{
				$this->master();
			}
			else
			{
				switch ($msg) {
                case '1':
					Helper::csc_check_phone();
                    Helper::send_message(Lang::get('bot.credit_card'));
                    $this->credit_card();
                    break;
                case '2':
					Helper::cbs_check_phone();
                    Helper::send_message(Lang::get('bot.banking'));
                    $this->banking();
                    break;
                case '3':
                    Helper::change_lang("dr");
                    Helper::send_message(Lang::get('bot.lang_changed'));
					$this->master();
                    break;
                case '4':
                    Helper::change_lang("ps");
                    Helper::send_message(Lang::get('bot.lang_changed'));
                    $this->master();
                    break;
                case '5':
                    Helper::change_lang("en");
                    Helper::send_message(Lang::get('bot.lang_changed'));
                    $this->master();
                    break;
                default:
                    Helper::send_message(Lang::get('bot.menu_404'));
                    break;
				}
			}
            
        });
    } 
    public function greet()
    {
        Helper::send_message(Lang::get('bot.greet'));
        $this->ask("Menu Master", function($answer, $bot) {
            $msg = $answer->getText();
			if(Helper::check_phrase($msg))
			{
				$this->master();
			}
			else
			{
				switch ($msg) {
                case '1':
					Helper::csc_check_phone();
                    Helper::send_message(Lang::get('bot.credit_card'));
                    $this->credit_card();
                    break;
                case '2':
					Helper::cbs_check_phone();
                    Helper::send_message(Lang::get('bot.banking'));
                    $this->banking();
                    break;
                case '3':
                    Helper::send_message(Lang::get('bot.change_lang'));
					$this->change_lang();
                    break;
                default:
                    Helper::send_message(Lang::get('bot.menu_404'));
                    break;
				}
			}
            
        });
    }
    public function run()
    {
        $this->master();
    }
}
