<?php // Code within app\Helpers\Helper.php
namespace App\Helpers;
use App\admin\Messages;
use App\admin\Clients;
use App\admin\CSC;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Lang;
use App;
use Asciitable;
class Helper
{
    public static function check_phrase($msg)
	{
		$msg = mb_strtolower($msg, 'UTF-8');
		$a = ".*salaam.*|.*salam.*|.*hi.*|.*hello.*|.*hey.*|.*سلام.*";
		if (strpos($a, $msg)) {
			return true;
		}
		else
		{
			return false; 
		}
	}
	static function ccMasking($number, $maskingCharacter = 'X') {
		return str_repeat($maskingCharacter, strlen($number) - 4) . substr($number, -4);
	}

    public static function clean_date($date)
    {
        return date("d-M-Y",strtotime($date)); 
    }
    public static function ex($data)
    {
    	echo "<pre>";
    	echo print_r($data);
    	exit;
    }
    public static function get_lang($phone)
    {
        $phone = filter_var($phone,FILTER_SANITIZE_NUMBER_INT);
        $info = Clients::where("phone",$phone)->first();
        if($info)
        {
            return $info->lang;
        }
        else
        {
			$data['phone'] = $phone;
			Clients::create($data);
            return "en";
        }   
    }
    public static function parseInput($data)
    {
        $input=[];
        if(isset($data['incoming_message']))
        {
            $input['userId'] = $data['incoming_message'][0]['from'];
            $input['message'] = $data['incoming_message'][0]['text_type']['text'];
            $input['driver'] = "web";
        }

        return $input;
    }
    public static function check_key()
    {
        $hash = 'C19A21DD24CA95B30703324EFFA68E6C97D7D4E9';
        if(Request()->header('key') != $hash)
        {
            echo "Invalid request";exit;
        }
    }
    public static function store_message($rsp)
    {
        $request = Request()->all();
        $dt = [];
        if(isset($request['incoming_message']))
        {
                $dt['message_id']   = $request['incoming_message'][0]['message_id'];
                $dt['phone']        = $request['incoming_message'][0]['from'];
                $dt['received_at']  = $request['incoming_message'][0]['received_at'];
                $dt['message']      = $request['incoming_message'][0]['text_type']['text'];
                $dt['response']     = $rsp;
                Messages::create($dt);
        }
        else
        {
            echo 0;exit;
        }
    }
    public static function get_request_phone()
    {
        $request = Request()->all();
        return $request['incoming_message'][0]['from'];
       //return "93777602160";
	   //return "93744573175";
    }
    public static function invalid_phone()
    {
        Helper::send_message(Lang::get('bot.invalid_phone'));
        exit;
    }
    public static function clean_msg($msg)
    {
        $msg = json_encode($msg);
        $msg = str_replace("\\r\\n\\r\\n\\t\\t", "\\\\n\\\\n", $msg);
        $msg = str_replace("\\r\\n\\t\\t", "\\\\n", $msg);
        $msg = str_replace("\\r\\n", "\\\\n", $msg);
        return json_decode($msg);
    }
    public static function send_message($msg,$url="false")
    {
        $msg = Helper::clean_msg($msg);
        $phone = Helper::get_request_phone();

        $ch = curl_init();
        $authorization = "Authorization: Bearer ".env('NC_KEY'); // Prepare the authorisation token
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json' , $authorization ));
        $data = '{
            "message": [
                {
                    "recipient_whatsapp": "'.$phone.'",
                    "message_type": "text",
                    "recipient_type" : "individual",
                    "source": "'.env('NC_SID').'",
                    "type_text": [
                        {
                            "preview_url": '.$url.',
                            "content": "'.$msg.'"
                        }
                    ]
                }
            ]
        }';
 
        curl_setopt($ch, CURLOPT_URL,            env('NC_URL'));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1 );
        curl_setopt($ch, CURLOPT_POST,           1 );
        curl_setopt($ch, CURLOPT_POSTFIELDS,     $data ); 
        $result=curl_exec ($ch);
        Helper::store_message($msg);
		return $result;
    }
    static function change_lang($lang)
    {
        $phone = Helper::get_request_phone();
        Clients::where('phone',$phone)->update(['lang'=>$lang]);
        App::setLocale($lang);
        return 1;
    }

    //CSC APIs
    static function get_csc_data($data,$endpoint)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL,env('CSC_URL').$endpoint);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS,http_build_query($data));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $server_output = curl_exec($ch);
        $result =json_decode($server_output);
        return $result;
        curl_close ($ch);
    }
    static function get_client_number()
    {
        $phone = Helper::get_request_phone();
        $data = CSC::where('phone',$phone)->first();
        return $data->client_number;
    }
    static function csc_card_details()
    {
        $data['institutionNumber'] = env('CSC_INS');
        $data['clientNumber'] = Helper::get_client_number();
        $data['status'] = '002';
        $result = Helper::get_csc_data($data,"clientsCards");
        return $result;
    }
    static function csc_card_balance($card)
    {
        $data['institutionNumber'] = env('CSC_INS');
        $data['cardNumber'] = $card;
        $data['currency'] = '840';
        $result = Helper::get_csc_data($data,"cardBalance");
        return $result;
    }
    static function csc_card_txn($card)
    {
        $data['cardNumber'] = "5234770000517339";
        $data['days'] = '10000';
        $data['institutionNumber'] = '00000172';
        $result = Helper::get_csc_data($data,"cardsActivity");
        return $result;
    }
    static function csc_amount_due($card)
    {
        $data['cardNumber'] = "5234770000517339";
        $data['currency'] = '840';
        $data['institutionNumber'] = '00000172';
        $result = Helper::get_csc_data($data,"cardAmountsDue");
        return $result;
    }
    static function csc_card_status()
    {
        $data = Helper::csc_card_details();
        if($data->success == 1)
        {
            $msg = Lang::get('bot.csc_card_status', ['account' => Helper::ccMasking($data->data->cardNumber),'status'=>Lang::get('bot.card_'.$data->data->cardStatus)]);
        }
        else
        {
            $msg = "Card not found";
        }
        Helper::send_message($msg);
    }
    static function csc_account_balance()
    {
        $data = Helper::csc_card_details();
        $msg = "";
        if($data->success == 1)
        {
            $card = $data->data->cardNumber;
            $result = Helper::csc_card_balance($card);
            if($result->success == 1)
            {
                $msg = Lang::get('bot.csc_account_balance', ['account' => Helper::ccMasking($card),'amount'=>$result->data->availableAmount]);
            }
            else
            {
                $msg = Lang::get("bot.data_not_found");
            }
        }
        else
        {
            $msg = "Card not found";
        }
        Helper::send_message($msg);
    }
    static function csc_card_last_txns()
    {
        $data = Helper::csc_card_details();
        $msg = "";
        if($data->success == 1)
        {
            $card = $data->data->cardNumber;
            $result = Helper::csc_card_txn($card);
            if($result->success == 1)
            {
                foreach($result->data->clearedTransactions as $row)
                {
                    $amount = $row->transactionAmount;
                    $date   = Helper::clean_date($row->transactionDate);
                    $dec    = $row->merchantName;
                    $type   =  Lang::get('bot.txn_type_'.$row->transactionType);
                    $msg = Lang::get('bot.csc_card_last_txns', ['type' => $type,'date'=>$date,'amount'=>$amount,'dec'=>$dec]);
                }
            }
            else
            {
                $msg = "Balance not found";
            }
        }
        else
        {
            $msg = "Card not found";
        }
        Helper::send_message($msg);
    }

    static function csc_account_due()
    {
        $data = Helper::csc_card_details();
        $msg = "";
        if($data->success == 1)
        {
            $card = $data->data->cardNumber;
            $result = Helper::csc_amount_due($card);
            if($result->success == 1)
            {
                $row = $result->data;
                $amount = $row->amountDue;
                $date   = Helper::clean_date($row->paymentDueDate);
                $msg    = Lang::get('bot.csc_account_due', ['card'=>Helper::ccMasking($card),'amount'=>$amount,'date'=>$date]);

            }
            else
            {
                $msg = "Balance not found";
            }
        }
        else
        {
            $msg = "Card not found"; 
        }
        Helper::send_message($msg);
    }
    static function get_card_status($satus)
    {
        $data = '';
    }
	static function csc_check_phone()
	{
		$phone = Helper::get_request_phone();
		$check = CSC::where('phone',$phone)->first();
		if($check)
		{
			return true;
		}
		else
		{
			Helper::invalid_phone();
		}	
	}
    //CBS APIs
    static function get_cbs_phone()
    {
        $phone = Helper::get_request_phone();
        $phone = substr($phone,-9);
        $phone = "0".$phone;
     
        return $phone;
    }
    static function cbs_accounts()
    {
        $msg = "";
        $phone = Helper::get_cbs_phone();
        $data = file_get_contents(env('CBS_URL')."accountInfo?phone=$phone");

        $data = json_decode($data);

        $items= $data->data->items;

        if(sizeof($items) >= 1)
        {
            foreach ($items as $row) {
				
                $status = $row->acc_status;
				if($status == "O")
				{
					$status = "Open";
				}
				else if($status == "D")
				{
					$status = "Dormant";
				}
				else
				{
					$status = "Close";
				}
                $msg .=Lang::get('bot.cbs_accounts',['account'=>$row->account,'status'=>$status]);
            }
            
        }
        else
        {
            $msg = Lang::get('bot.invalid_phone');
        }
        Helper::send_message($msg);
    }
    static function cbs_last_tnxs() 
    {
        $msg = "";
        $phone =Helper::get_cbs_phone();
        $data = file_get_contents(env('CBS_URL')."lastTrans?phone=$phone");
        $data = json_decode($data);
		 
        $items= $data->data->items;
        if(sizeof($items) >= 1)
        {
			
			
            foreach($items as $row)
            {
                $type =  ($row->txn_type == "D" ? "Debit" : "Credit");
                $cr = $row->ac_ccy;
				$cr1 = strtolower($cr);
				$amount="";
				if($cr1 == "afn")
				{
					$amount = $row->amount_afn;
				}
				else
				{
					$amount = $row->foreign_curr;
				}
				//$cr1 = "amount_".$cr1;
				
                $desc = "";
				if(isset($row->description))
				{
					$desc = $row->description;
				}
				
				$cr = $row->ac_ccy; 
                $date = Helper::clean_date($row->txn_dt_time);
                $msg .= Lang::get('bot.cbs_last_tnxs',['type'=>$type,'amount'=>$amount." ".$cr,'desc'=>$desc,'account'=>$row->ac_no,'date'=>$date]);

            }

        }
        else
        {
            $msg = Lang::get('bot.invalid_phone');
        }
        Helper::send_message($msg);
    }
    static function cbs_exchange_rates()
    {
        $date = date("d-M-Y");
        $data = file_get_contents(env('CBS_URL')."exchangeRate?currentdate");
        $data = json_decode($data);
        $items= $data->data->items;
        $print = [];
        $i=0;
        $msg="";
		
        if(sizeof($items) > 1)
        {
			$msg = Lang::get('bot.exchange_rate')."\\n\\n";
            foreach ($items as $row) {
                //$print[$i] = ['Currency'=>$row->ccy1."-".$row->ccy2,'Buy'=>$row->buy_rate,'Sell'=>$row->sale_rate];
                $msg .= "*".$row->ccy1." - ".$row->ccy2."*\\n";
				$msg .= "*Buy:* ".$row->buy_rate."\\n";
				$msg .= "*Sell:* ".$row->sale_rate."\\n\\n";
				$i++;
            }
			$msg .= Lang::get('bot.exchange_last');
            //$msg = Asciitable::make_table($print,Lang::get('bot.exchange_rate'), true);     
			
		}
        else
        {
            $msg = Lang::get('bot.data_not_found');
        }
	 
        return Helper::send_message($msg);
		
    }
	static function cbs_check_phone()
	{
		$phone = Helper::get_cbs_phone();
		$check = CSC::where('phone',$phone)->first();
		$data = file_get_contents(env('CBS_URL')."accountInfo?phone=$phone");
        $data = json_decode($data);

        $items= $data->data->items;
		
        if(sizeof($items) >= 1)
        {
			return true;
		}
		else
		{
			Helper::invalid_phone();
		}
	}

}