<?php

namespace App\Http\Controllers;

use BotMan\BotMan\BotMan; 
use Illuminate\Http\Request;
use App\Conversations\ExampleConversation;
use App\Conversations\MainConversation;
use Illuminate\Support\Facades\Lang;
use BotMan\BotMan\Storages\Storage;
use App;
use Helper; 

class BotManController extends Controller
{
    /**
     * Place your BotMan logic here.
     */
    public function __construct()
    {
        Helper::check_key();
        $phone = Helper::get_request_phone();
        $lang  = Helper::get_lang($phone);
        if(!$lang)
        {
            Helper::invalid_phone();
        }
        App::setLocale($lang);
    }
    public function handle()
    {
        $botman = app('botman');
        $botman->listen();
    }

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function tinker()
    {
        return view('tinker');
    }

    public function boardingConversation(BotMan $bot)
    {
        $bot->startConversation(new MainConversation());
    }
    
    public function start_english($bot)
    {
        Helper::change_lang("en");
        $bot->startConversation(new MainConversation());
    }
    public function start_pashto($bot)
    {
        Helper::change_lang("ps");
        $bot->startConversation(new MainConversation());

    }
    public function start_dari($bot)
    {
        Helper::change_lang("dr");
        $bot->startConversation(new MainConversation());

    }
    public function fallback($bot)
    {
		$bot->startConversation(new MainConversation());
    }
}
