<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\admin\Users;
use Auth;
use Helper;
use App;
use Illuminate\Support\Facades\Lang;

class AuthController extends Controller
{
    function login()
    {
        if(Auth::check())
        {
            return redirect()->route('admin_home_view'); 
        }
        else
        {
            return view("admin.login");
        }
    }
    function check(Request $request)
    {
        $validatedData = $request->validate([
            'email' => 'required|email',
            'password' => 'required',
        ]);
        $email = $request->input('email');
        $password = $request->input('password');
        if (Auth::attempt(['email' => $email, 'password' => $password]))
        {
            return redirect()->route('admin_home');
        }
        else
        {
            return back()->with("error","Incorrect Username or Password");
        }
    }
    function logout()
    {
        Auth::logout();
        return redirect()->route('login');
    }
    
}
