<?php

namespace App\Http\Controllers\admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\admin\Messages;
use Helper;
use Illuminate\Pagination\LengthAwarePaginator;
use App\admin\Data;
use App\admin\Clients;
use App\admin\Users;
use Auth;

class HomeController extends Controller
{
    function __construct()
    {
        $this->middleware("auth");
    }
    function home()
    {
        return view("admin.index");
    }
    function messages()
    {
        $messages = "";
        $query = "";
        $records= "";
        if(isset($_GET['search']) && $_GET['search'] != "")
        {
            $query=$_GET['search'];
            $messages = Messages::where('message', 'LIKE', '%' . $query . '%')
            ->orWhere('response', 'LIKE', '%' . $query . '%')
            ->orWhere('created_at', 'LIKE', '%' . $query . '%')
            ->orWhere('phone', 'LIKE', '%' . $query . '%')
            ->paginate(10);

            $records = Messages::where('message', 'LIKE', '%' . $query . '%')
            ->orWhere('response', 'LIKE', '%' . $query . '%')
            ->orWhere('created_at', 'LIKE', '%' . $query . '%')
            ->orWhere('phone', 'LIKE', '%' . $query . '%')
            ->count();
      
        }
        else
        {
            $messages = Messages::orderBy('id','desc')->paginate(10);
            $records = Messages::orderBy('id','desc')->count();
        }
        return view("admin.messages",compact('messages','query','records'));
    }
    function users()
    {
        $users = Clients::orderBy('id','desc')->paginate(10);
        return view("admin.users",compact('users'));
    }
    function static(Request $request)
    {
        $update = "";
        if($request->id)
        {
            $update = Data::where('id',$request->id)->first();
        }
        $data = Data::orderBy("name",'ASC')->get();
        return view("admin.static",compact('data','update'));
    }
    function admins()
    {
        $admins = Users::get();
        return view("admin.admins",compact('admins'));
    }
    function feedbacks()
    {
        return view("admin.feedbacks");
    }
    function add_static(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required|unique:static|max:255',
            'value' => 'required',
        ]);
        Data::create($request->except('_token'));
        return back()->with('success','Static value added');
    }
    function update_static(Request $request)
    {
        $id = $request->id;
        Data::where('id',$id)->update($request->except('_token'));
        return back()->with('success','Value updated');
    }
    function user_status($id,$status)
    {
        Clients::where('id',$id)->update(['status'=>$status]);
        return back()->with('success','User updated');
    }
    function admin_status($id,$status)
    {
        Users::where('id',$id)->update(['status'=>$status]);
        return back()->with('success','User updated');
    }
    function admin_add(Request $request)
    {
        $this->validate(request(), [
            'name' => 'required',
            'email' => 'required|email',
            'password' => 'required'
        ]);
        $user = Users::create([
            'name' => $request['name'],
            'email' => $request['email'],
            'password' => $request['password'],
        ]);
        if($user)
        {
            return back()->with("success","User saved");
        }
        else
        {
            return back()->with("failed","Failed to save publication!");
        }
    }

}
