@extends('admin.layouts.master')
@section('style')
@endsection
@section('content') 
<div class="main-content">
    <div class="container-fluid">
        <h3 class="page-title">All Admins</h3>
        <div class="row">
        <div class="col-md-6">
                <!-- BORDERED TABLE -->
                <div class="panel">
                    <div class="panel-heading">
                        <h3 class="panel-title">Add Admin</h3>
                    </div>
                    <div class="panel-body">
                        <form action="{{route('admin_admin_add')}}" method="POST">
                            <div class="col-md-12">
                                <div class="from-group">
                                    <label for="">Name</label>
                                    <input required name="name" type="text" class="form-control" placeholder="Name">
                                </div>
                                <div class="from-group">
                                    <label for="">Email</label>
                                    <input required name="email" type="email" class="form-control" placeholder="Email">
                                </div>
                                <div class="from-group">
                                    <label for="">Password</label>
                                    <input required name="password" type="password" class="form-control" placeholder="Password">
                                </div>
                                <div class="from-group">
                                    <br>
                                    <input type="submit" class="btn btn-primary">
                                </div>
                                @csrf
                            </div>
                        </form>
                    </div>
                </div>
                <!-- END BORDERED TABLE -->
            </div>
            <div class="col-md-6">
                <!-- BORDERED TABLE -->
                <div class="panel">
                    <div class="panel-heading">
                        <h3 class="panel-title">Messages</h3>
                    </div>
                    <div class="panel-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                              @foreach($admins as $row)
                              <tr>
                                  <td>{{$row->id}}</td>
                                  <td>{{$row->name}}</td>
                                  <td>{{$row->email}}</td>
     
                                  @if($row->status == 0)
                                    <td><a href="{{route('admin_admin_status',[$row->id,1])}}" class="btn btn-danger btn-xs"> Blocked</a></td>
                                    @else
                                    <td><a href="{{route('admin_admin_status',[$row->id,0])}}" class="btn btn-primary btn-xs">Active</a></td>
                                    @endif
                              </tr>
                              @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END BORDERED TABLE -->
            </div>
        </div>
        
    </div>
</div>
@endsection
@section('script')
@endsection