@extends('admin.layouts.master')
@section('style')
@endsection
@section('content') 
<div class="main-content">
    <div class="container-fluid">
        <h3 class="page-title">All Satic Data</h3>
        <div class="row">
            <div class="col-md-6">
                <!-- BORDERED TABLE -->
                <div class="panel">
                    <div class="panel-heading">
                        <h3 class="panel-title">Add Static Data</h3>
                    </div>
                    <div class="panel-body">
                        <form action="{{route('admin_add_static')}}" method="POST">
                            <div class="col-md-12">
                                <div class="from-group">
                                    <label for="">Name</label>
                                    <input name="name" type="text" class="form-control" placeholder="Unique name">
                                </div>
                                <div class="from-group">
                                    <label for="">Body</label>
                                    <textarea name="value" class="form-control" placeholder="Response body"></textarea>
                                </div>
                                <div class="from-group">
                                    <br>
                                    <input type="submit" class="btn btn-primary">
                                </div>
                                @csrf
                            </div>
                        </form>
                    </div>
                </div>
                <!-- END BORDERED TABLE -->
            </div>
            @if($update != "")
            <div class="col-md-6">
                <!-- BORDERED TABLE -->
                <div class="panel">
                    <div class="panel-heading">
                        <h3 class="panel-title">Update Static Data</h3>
                    </div>
                    <div class="panel-body">
                        <form action="{{route('admin_update_static',$update->id)}}" method="POST"> 
                            <div class="col-md-12">
                                <div class="from-group">
                                    <label for="">Name</label>
                                    <input name="name" type="text" value='{{@$update->name}}' class="form-control" placeholder="Unique name">
                                </div>
                                <div class="from-group">
                                    <label for="">Body</label>
                                    <textarea name="value" class="form-control" placeholder="Response body">{{@$update->value}}</textarea>
                                </div>
                                <div class="from-group">
                                    <br>
                                    <input type="submit" value="Update" class="btn btn-primary">
                                </div>
                                @csrf
                            </div>
                        </form>
                    </div>
                </div>
                <!-- END BORDERED TABLE -->
            </div>
            @endif
            <div class="col-md-12">
                <!-- BORDERED TABLE -->
                <div class="panel">
                    <div class="panel-heading">
                        <h3 class="panel-title">Users</h3>
                    </div>
                    <div class="panel-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Value</th>
                                    <th>Created At</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $row)
                                <tr>
                                    <td>{{$row->id}}</td>
                                    <td>{{$row->name}}</td>
                                    <td>{{$row->value}}</td>
                                    <td>{{$row->created_at}}</td>
                                    <td><a href="{{route('admin_static',$row->id)}}"><i class="fa fa-pencil"></i></a></td>
                                </tr>
                             @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END BORDERED TABLE -->
            </div>
        </div> 
    </div>
</div>
@endsection
@section('script')
<script>
    $(document).ready(function(){
        $("#k  ").change(function(){
            var x = $(this).val();
            if(x == 0)
            {
                $("#new_name").show();
            }
            else
            {
                $("#new_name").hide();
            }
        });
    });
</script>
@endsection