<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', 'admin\AuthController@login')->name('login');
Route::post('auth/check', 'admin\AuthController@check')->name('admin_login_check');
Route::get('auth/logout', 'admin\AuthController@logout')->name('admin_auth_logout');

Route::get('admin/home', 'admin\HomeController@home')->name('admin_home');
Route::get('admin/messages', 'admin\HomeController@messages')->name('admin_messages');
Route::get('admin/users', 'admin\HomeController@users')->name('admin_users');
Route::get('admin/users/status/{id}/{status}', 'admin\HomeController@user_status')->name('admin_user_status');
Route::get('admin/static/{id?}', 'admin\HomeController@static')->name('admin_static');
Route::post('admin/static/add', 'admin\HomeController@add_static')->name('admin_add_static');
Route::post('admin/static/update/{id}', 'admin\HomeController@update_static')->name('admin_update_static');

Route::get('admin/admins', 'admin\HomeController@admins')->name('admin_admins');
Route::get('admin/admins/status/{id}/{status}', 'admin\HomeController@admin_status')->name('admin_admin_status');
Route::post('admin/admins/add', 'admin\HomeController@admin_add')->name('admin_admin_add');

Route::get('admin/feedbacks', 'admin\HomeController@feedbacks')->name('admin_feedbacks');

Route::match(['get', 'post'], '/bot', 'BotManController@handle');
Route::get('/botman/tinker', 'BotManController@tinker');
Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
    return "Cache is cleared";
});